package com.liquidnet.common.third.zxlnft.dto.wallet;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: SM3HashEncode
 * @Package com.liquidnet.common.third.zxlnft.bean.wallet
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/17 16:42
 */
@Data
public class SM3HashEncodeReq  implements Serializable {
    private static final long serialVersionUID = 7093879873642038759L;
    /**
     * 文件byte数组
     */
    private byte[] data;

    private static final SM3HashEncodeReq obj = new SM3HashEncodeReq();
    public static SM3HashEncodeReq getNew() {
        try {
            return (SM3HashEncodeReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new SM3HashEncodeReq();
        }
    }
}
